<components xmlns:excel="http://jboss.org/schema/seam/excel" xmlns:mail="http://jboss.org/schema/seam/mail"
            xmlns:drools="http://jboss.org/schema/seam/drools" xmlns:async="http://jboss.org/schema/seam/async"
            xmlns:web="http://jboss.org/schema/seam/web" xmlns:core="http://jboss.org/schema/seam/core"
            xmlns:security="http://jboss.org/schema/seam/security"
            xmlns:document="http://jboss.org/schema/seam/document" xmlns:pdf="http://jboss.org/schema/seam/pdf"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:persistence="http://jboss.org/schema/seam/persistence" xmlns:bpm="http://jboss.org/schema/seam/bpm"
            xmlns="http://jboss.org/schema/seam/components"
            xsi:schemaLocation="http://jboss.org/schema/seam/core http://jboss.org/schema/seam/core-2.3.xsd  http://jboss.org/schema/seam/persistence http://jboss.org/schema/seam/persistence-2.3.xsd  http://jboss.org/schema/seam/drools http://jboss.org/schema/seam/drools-2.3.xsd  http://jboss.org/schema/seam/bpm http://jboss.org/schema/seam/bpm-2.3.xsd  http://jboss.org/schema/seam/security http://jboss.org/schema/seam/security-2.3.xsd  http://jboss.org/schema/seam/async http://jboss.org/schema/seam/async-2.3.xsd  http://jboss.org/schema/seam/mail http://jboss.org/schema/seam/mail-2.3.xsd  http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd  http://jboss.org/schema/seam/pdf http://jboss.org/schema/seam/pdf-2.3.xsd  http://jboss.org/schema/seam/pageflow http://jboss.org/schema/seam/pageflow-2.3.xsd  http://jboss.org/schema/seam/document http://jboss.org/schema/seam/document-2.3.xsd  http://jboss.org/schema/seam/document http://jboss.org/schema/seam/web-2.3.xsd  http://jboss.org/schema/seam/excel http://jboss.org/schema/seam/excel-2.3.xsd">

    <component class="net.ihe.gazelle.common.action.PUProvider" jndi-name="java:global/GazelleHL7v2Validator/gazelle-seam-tools-jar/PUProvider"/>
    <!--<component class="net.ihe.gazelle.hl7.ws.ProfileInformation" jndi-name="java:app/GazelleHL7v2Validator-ejb/ProfileInformation"/>-->
    <component class="net.ihe.gazelle.metadata.ws.VersionControllerImpl"
               jndi-name="java:module/metadata-v7/VersionControllerImpl"/>
    <component class="net.ihe.gazelle.metadata.ws.MetadataServiceControllerImpl"
               jndi-name="java:module/metadata-v7/MetadataServiceControllerImpl"/>
    <!--<component class="org.jboss.seam.transaction.EjbSynchronizations" jndi-name="java:app/jboss-seam/EjbSynchronizations"/>-->
    <component class="net.ihe.gazelle.assertions.ws.AssertionWSProvider" jndi-name="java:global/GazelleHL7v2Validator/mbval-documentation-ejb/AssertionWSProvider"/>

    <security:permission-manager permission-store="#{jpaPermissionStore}"/>
    <core:manager concurrent-request-timeout="500" conversation-timeout="120000" conversation-id-parameter="cid"/>
    <core:init debug="${seam.debug}" jndi-pattern="java:app/GazelleHL7v2Validator/#{ejbName}"/>
    <!-- Make sure this URL pattern is the same as that used by the Faces Servlet -->
    <web:hot-deploy-filter url-pattern="*.seam"/>
    <persistence:managed-persistence-context auto-create="true" name="entityManager"
                                             entity-manager-factory="#{entityManagerFactory}"/>
    <!--<async:quartz-dispatcher/>-->
    <event type="org.jboss.seam.security.notLoggedIn">
        <action execute="#{redirect.captureCurrentView}"/>
    </event>
    <event type="org.jboss.seam.security.loginSuccessful">
        <action execute="#{redirect.returnToCapturedView}"/>
    </event>
    <!--<mail:mail-session host="localhost" port="25"/>-->
    <security:remember-me enabled="true"/>
    <web:multipart-filter create-temp-files="true" max-request-size="1000000" url-pattern="*.seam" disabled="true"/>
</components>
